-- phpMyAdmin SQL Dump
-- version 4.2.12deb2+deb8u2
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Sep 04, 2016 at 01:14 PM
-- Server version: 5.5.50-0+deb8u1
-- PHP Version: 5.6.24-0+deb8u1

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `Fsr`
--
CREATE DATABASE IF NOT EXISTS `Fsr` DEFAULT CHARACTER SET latin1 COLLATE latin1_swedish_ci;
USE `Fsr`;

-- --------------------------------------------------------

--
-- Table structure for table `blobs`
--

DROP TABLE IF EXISTS `blobs`;
CREATE TABLE IF NOT EXISTS `blobs` (
  `runno` int(10) unsigned NOT NULL,
  `audio` tinytext NOT NULL,
  `gridcam` tinytext NOT NULL,
  `tricam` tinytext NOT NULL,
  `fusorpi` tinytext NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='paths to audio video files.  /var/lib/mysql/"the rest"';

-- --------------------------------------------------------

--
-- Table structure for table `fusectl`
--

DROP TABLE IF EXISTS `fusectl`;
CREATE TABLE IF NOT EXISTS `fusectl` (
  `runno` int(10) unsigned NOT NULL,
  `ms` int(10) unsigned NOT NULL,
  `a0` smallint(5) unsigned NOT NULL,
  `a1` smallint(5) unsigned NOT NULL,
  `a2` smallint(5) unsigned NOT NULL,
  `a3` smallint(5) unsigned NOT NULL,
  `c0` int(10) unsigned NOT NULL,
  `da` tinyint(3) unsigned NOT NULL,
  `flags` tinyint(3) unsigned NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='second uno controls for gas and ion source';

-- --------------------------------------------------------

--
-- Table structure for table `runs`
--

DROP TABLE IF EXISTS `runs`;
CREATE TABLE IF NOT EXISTS `runs` (
`runno` int(10) unsigned NOT NULL,
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `prerun` text NOT NULL,
  `postrun` text NOT NULL,
  `unoschema` smallint(5) unsigned NOT NULL,
  `teensyschema` smallint(5) unsigned NOT NULL,
  `servoschema` smallint(5) unsigned NOT NULL,
  `gridvid` tinyint(1) NOT NULL,
  `scopevid` tinyint(1) NOT NULL,
  `roomvid` tinyint(1) NOT NULL,
  `audio` tinyint(1) NOT NULL
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=latin1 COMMENT='master run table';

-- --------------------------------------------------------

--
-- Table structure for table `servo`
--

DROP TABLE IF EXISTS `servo`;
CREATE TABLE IF NOT EXISTS `servo` (
  `runno` int(10) unsigned NOT NULL,
  `pos1` smallint(5) unsigned NOT NULL,
  `pos2` smallint(5) unsigned NOT NULL,
  `state` smallint(5) unsigned NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='servo controller';

-- --------------------------------------------------------

--
-- Table structure for table `uno`
--

DROP TABLE IF EXISTS `uno`;
CREATE TABLE IF NOT EXISTS `uno` (
  `runno` int(10) unsigned NOT NULL,
  `ms` int(10) unsigned NOT NULL,
  `a0` smallint(5) unsigned NOT NULL,
  `a1` smallint(5) unsigned NOT NULL,
  `a2` smallint(5) unsigned NOT NULL,
  `a3` smallint(5) unsigned NOT NULL,
  `a4` smallint(5) unsigned NOT NULL,
  `a5` smallint(5) unsigned NOT NULL,
  `c0` int(10) unsigned NOT NULL,
  `c1` int(10) unsigned NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='Arduino Uno based data aq';

-- --------------------------------------------------------

--
-- Table structure for table `unoschema`
--

DROP TABLE IF EXISTS `unoschema`;
CREATE TABLE IF NOT EXISTS `unoschema` (
`schema` int(10) unsigned NOT NULL,
  `name` varchar(8) NOT NULL,
  `a0lbl` varchar(16) NOT NULL DEFAULT 'raw',
  `a0perl` varchar(256) NOT NULL DEFAULT ';',
  `a1lbl` varchar(16) NOT NULL DEFAULT 'raw',
  `a1perl` varchar(256) NOT NULL DEFAULT ';',
  `a2lbl` varchar(16) NOT NULL DEFAULT 'raw',
  `a2perl` varchar(256) NOT NULL DEFAULT ';',
  `a3lbl` varchar(16) NOT NULL DEFAULT 'raw',
  `a3perl` varchar(256) NOT NULL DEFAULT ';',
  `a4lbl` varchar(16) NOT NULL DEFAULT 'raw',
  `a4perl` varchar(256) NOT NULL DEFAULT ';',
  `a5lbl` varchar(16) NOT NULL DEFAULT 'raw',
  `a5perl` varchar(256) NOT NULL DEFAULT ';',
  `c0lbl` varchar(16) NOT NULL DEFAULT 'raw',
  `c0perl` varchar(256) NOT NULL DEFAULT ';',
  `c1lbl` varchar(16) NOT NULL DEFAULT 'raw',
  `c1perl` varchar(256) NOT NULL DEFAULT ';'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Indexes for dumped tables
--

--
-- Indexes for table `blobs`
--
ALTER TABLE `blobs`
 ADD KEY `runno` (`runno`);

--
-- Indexes for table `runs`
--
ALTER TABLE `runs`
 ADD KEY `runno` (`runno`);

--
-- Indexes for table `servo`
--
ALTER TABLE `servo`
 ADD KEY `runno` (`runno`);

--
-- Indexes for table `uno`
--
ALTER TABLE `uno`
 ADD KEY `runno` (`runno`);

--
-- Indexes for table `unoschema`
--
ALTER TABLE `unoschema`
 ADD KEY `schema` (`schema`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `runs`
--
ALTER TABLE `runs`
MODIFY `runno` int(10) unsigned NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=6;
--
-- AUTO_INCREMENT for table `unoschema`
--
ALTER TABLE `unoschema`
MODIFY `schema` int(10) unsigned NOT NULL AUTO_INCREMENT;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
